<?php

IF (GET('delete_components') == 'stop'){
  
  $archive = DB::GET_STRING("SELECT * FROM `PANEL_ALPHA_INSTALL` WHERE `ACT` = '1' AND `ID` = '".INTVAL(GET('id'))."' LIMIT 1");
  
  IF (!ISSET($archive['ID'])){
    
    ERROR('Неверная директива', 'session');
    REDIRECT('/panel/?path=system&section=alpha_install');
  
  }
  
  IF ($archive['SYSTEM'] == 1){
    
    ERROR('Неверная директива', 'session');
    REDIRECT('/panel/?path=system&section=alpha_install');
  
  }
  
  ECHO "<div class='fon'>";
  
  ECHO "".LG('Вы действительно хотите удалить компонент')." <b>".TEXT_ABSOLUTE($archive['NAME'])."</b>? ".LG('Данное действие может привести к необратимым последствиям').".<br />";
  
  ECHO "<div class='file-content2'>";
  ECHO "<div style='padding: 10px;'>";
  
  $data = DB::GET_STRING_ALL("SELECT `DIR` FROM `PANEL_ALPHA_INSTALL_DATA` WHERE `ID_AI` = '".$archive['ID']."'");
  
  WHILE ($list = $data->FETCH()){
    
   ECHO "<font color='#FFAB91'><b>/".TEXT_ABSOLUTE($list['DIR'])."</b></font><br />";
  
  }
  
  ECHO "</div>";
  ECHO "</div><br />";
  
  ECHO "<a href='?path=system&section=alpha_install&id=".$archive['ID']."&delete_components=ok' class='panel-button2'>".ICONS('trash', 15, 'fa-fw')." ".LG('Да, удалить')."</a> ";
  
  ECHO "<a href='?path=system&section=alpha_install' class='panel-button2'>".ICONS('times', 15, 'fa-fw')." ".LG('Отменить')."</a>";
  
  ECHO "</div>";
  
  REQUIRE (ROOT.'/style/panel/include/footer.php');
  EXIT();
  
}

IF (GET('delete_components') == 'ok'){
  
  $archive = DB::GET_STRING("SELECT `ID`,`FACT_NAME` FROM `PANEL_ALPHA_INSTALL` WHERE `ACT` = '1' AND `ID` = '".INTVAL(GET('id'))."' LIMIT 1");
  
  IF (!ISSET($archive['ID'])){
    
    ERROR('Неверная директива', 'session');
    REDIRECT('/panel/?path=system&section=alpha_install');
  
  }
  
  //Выполняем удаление строк/таблиц/столбцов компонента из базы данных, если они есть
  IF (IS_FILE(ROOT.'/files/upload/alpha_install/sql/delete/delete_'.$archive['FACT_NAME'].'.sql')){
    
    IF (DB::GET_SQL_FILE(ROOT.'/files/upload/alpha_install/sql/delete/delete_'.$archive['FACT_NAME'].'.sql') == 0) {
      
      ERROR('Не удалось удалить таблицы/строки/стоблцы из базы данных', 'session');
      REDIRECT('/panel/?path=system&section=alpha_install');
    
    }
    
  }
  
  $data = DB::GET_STRING_ALL("SELECT `DIR` FROM `PANEL_ALPHA_INSTALL_DATA` WHERE `ID_AI` = '".$archive['ID']."'");
  
  WHILE ($list = $data->FETCH()){
    
   @UNLINK(ROOT.'/'.$list['DIR'].''); 
  
  }
  
  DB::GET_SET("DELETE FROM `PANEL_ALPHA_INSTALL_DATA` WHERE `ID_AI` = '".$archive['ID']."'");
  DB::GET_SET("DELETE FROM `PANEL_ALPHA_INSTALL` WHERE `ID` = '".$archive['ID']."'");
  
  @UNLINK(ROOT.'/files/upload/alpha_install/sql/delete/delete_'.$archive['FACT_NAME'].'.sql');
  
  SUCCESS('Файлы компонента успешно удалены', 'session');
  REDIRECT('/panel/?path=system&section=alpha_install');
  
}
  
?>